Bug 478744 - Review Request: wmfire - WindowMaker dock app that displays cpu, memory or network load as flames
Summary: Review Request: wmfire - WindowMaker dock app that displays cpu, memory or ne...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-04 15:15 UTC by steve
Modified: 2009-07-19 10:36 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-07-19 10:18:30 UTC
tcallawa: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description steve 2009-01-04 15:15:17 UTC
Spec URL: http://lonetwin.net/wmfire.spec
SRPM URL: http://lonetwin.net/wmfire-1.2.3-1.fc10.src.rpm
Description: wmfire is a WindowMaker dock app which displays cpu, memory, or network load as flames with a docked icon.

Comment 1 steve 2009-01-04 15:17:54 UTC
I need a sponsor although this is not the first package I have submitted (bug 473583 is the first, which is still has NEW status and has yet to be reviewed).

Comment 2 Tom "spot" Callaway 2009-02-18 19:29:30 UTC
A few points here:

1. Go through the spec and use macros consistently. Specifically, %{name}, %{version}.
2. Look at the license tag. Re-read: https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#GPL_and_LGPL (hint: look at the source code)

3. Look at the Requires that rpm finds automatically. If it finds libgtop-2.0.so.7() as a Requires, you don't need to explicitly list it as a Requires.

4. Instead of wildcarding so aggressively for a single binary and manpage, why not be more specific? 

I'll do a more complete review when I see a new SRPM/SPEC.

Comment 3 steve 2009-05-30 12:23:05 UTC
(In reply to comment #2)
> A few points here:
> 
> 1. Go through the spec and use macros consistently. Specifically, %{name},
> %{version}.
Done.

> 2. Look at the license tag. Re-read:
> https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#GPL_and_LGPL
> (hint: look at the source code)
> 
Done. Added the correct license tag (GPLv2+) to the spec file.

> 3. Look at the Requires that rpm finds automatically. If it finds
> libgtop-2.0.so.7() as a Requires, you don't need to explicitly list it as a
> Requires.
> 
Done.

> 4. Instead of wildcarding so aggressively for a single binary and manpage, why
> not be more specific? 
> 
Done.

I've also checked both the spec file and rpm with rpmlint and received no errors.

> I'll do a more complete review when I see a new SRPM/SPEC.  
Thanks for your time.

The latest spec and rpm are at:
http://lonetwin.net/wmfire.spec
http://lonetwin.net/wmfire-1.2.3-2.fc10.src.rpm

cheers,
- steve

Comment 4 Tom "spot" Callaway 2009-07-06 21:24:04 UTC
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv2+) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (a0e296c454571dd650abd7d830a311c2c84e9339)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.

Comment 5 steve 2009-07-06 22:01:06 UTC
Thanks for your time, Spot !

New Package CVS Request
=======================
Package Name: wmfire
Short Description: WindowMaker dock app that displays cpu, memory or network load as flames
Owners: lonetwin
Branches: F-10 F-11
InitialCC:

Comment 6 Kevin Fenzi 2009-07-07 04:26:12 UTC
cvs done.

Comment 7 Fedora Update System 2009-07-07 07:14:02 UTC
wmfire-1.2.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wmfire-1.2.3-2.fc11

Comment 8 Fedora Update System 2009-07-07 07:14:59 UTC
wmfire-1.2.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wmfire-1.2.3-2.fc10

Comment 9 Fedora Update System 2009-07-11 17:04:12 UTC
wmfire-1.2.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wmfire'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7419

Comment 10 Fedora Update System 2009-07-11 17:17:01 UTC
wmfire-1.2.3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wmfire'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7472

Comment 11 Fedora Update System 2009-07-19 10:18:24 UTC
wmfire-1.2.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-07-19 10:36:12 UTC
wmfire-1.2.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.